For the complete documentation index, see llms.txt. This page is also available as Markdown.

Saving Changes (5min Cooldown)

Save IP whitelist changes via API with 5-minute cooldown. Confirm modifications to your Dedicated Datacenter Proxies whitelist programmatically.

POST https://api.oxylabs.io/v1/whitelisted_ips/upload_to_servers

Response
Description

202

Success. Changes to your whitelisted IP list have been confirmed. Response body is empty.

429

Error. Changes have not been confirmed, the endpoint is on a 5 minute cooldown. Response body contains the error message "You have exceeded the rate limit for the endpoint. Please try again later"

Code examples

curl -X POST -u username:password "https://api.oxylabs.io/v1/whitelisted_ips/upload_to_servers"
<?php
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, "https://api.oxylabs.io/v1/whitelisted_ips/upload_to_servers");
curl_setopt($curl, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl, CURLOPT_USERPWD, 'username:password');

$result = curl_exec($curl);
?>
import requests
requests.post("https://api.oxylabs.io/v1/whitelisted_ips/upload_to_servers", auth=('username', 'password'))

Last updated

Was this helpful?